This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 114262 - weird prelink errors from rpm-4.3-0.7.1
weird prelink errors from rpm-4.3-0.7.1
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: prelink (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-25 12:30 EST by Jonathan Kamens
Modified: 2007-04-18 13:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-03 03:28:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2004-01-25 12:30:09 EST
I am running a non-NPTL kernel.  When I try to verify glibc-2.3.3-3, I
get this:

jik:~/build/scripts!1067$ sudo rpm --verify glibc
/etc/security/selinux/src/policy/file_contexts/file_contexts: No such
file or directory
prelink: /lib/tls/libc-2.3.3.so: Could not parse
`/lib/tls/libc-2.3.3.so: error while loading shared libraries:
/lib/tls/libc-2.3.3.so: cannot open shared object file: No such file
or directory'
S.?.....    /lib/tls/libc-2.3.3.so
prelink: /lib/tls/libm-2.3.3.so: Could not parse
`/lib/tls/libm-2.3.3.so: error while loading shared libraries:
/lib/tls/libm-2.3.3.so: cannot open shared object file: No such file
or directory'
S.?.....    /lib/tls/libm-2.3.3.so
prelink: /lib/tls/libpthread-0.60.so: Could not parse
`/lib/tls/libpthread-0.60.so: error while loading shared libraries:
/lib/tls/libpthread-0.60.so: cannot open shared object file: No such
file or directory'
S.?.....    /lib/tls/libpthread-0.60.so
prelink: /lib/tls/librtkaio-2.3.3.so: Could not parse
`/lib/tls/librtkaio-2.3.3.so: error while loading shared libraries:
/lib/tls/librtkaio-2.3.3.so: cannot open shared object file: No such
file or directory'
S.?.....    /lib/tls/librtkaio-2.3.3.so
Comment 1 Jeff Johnson 2004-01-25 22:09:22 EST
The file_contexts error message is #113261.

The cannot parse is prelink undo, off to prelink for investigate.
Comment 2 Bill Nottingham 2006-08-07 21:55:03 EDT
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux.
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues were not resolved in a more
timely manner. However, we do want to make sure that important 
don't slip through the cracks. If these issues are still present
in a current release, such as Fedora Core 5, please move these
bugs to that product and version. Note that any remaining Red Hat
Raw Hide bugs will be closed as 'CANTFIX' on September 30, 2006.
Thanks again for your help.

Note You need to log in before you can comment on or make changes to this bug.